%global hghash 39075c579325

Name:           valentina
Version:        0.6.2
Release:        2%{?dist}
Summary:        Pattern making application

License:        GPLv3+
URL:            https://bitbucket.org/dismine/valentina
#Source0:        https://bitbucket.org/dismine/valentina/downloads/%{name}-%{version}.tar.gz
Source0:        https://bitbucket.org/dismine/valentina/get/v%{version}.tar.bz2
Patch1:         valentina-staticlib.patch

BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  qt5-qttools-devel
BuildRequires:  desktop-file-utils


%description
Open source project of creating a pattern making program, whose allow
create and modeling patterns of clothing.


%prep
%setup -q -n dismine-%{name}-%{hghash}
%patch1 -p1


%build
%{_qt5_qmake} -r "CONFIG += noTests noRunPath no_ccache noDebugSymbols"
make %{?_smp_mflags} CXX=g++


%install
make install INSTALL_ROOT=%{buildroot} STRIP=/bin/true

desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m644 dist/debian/%{name}.1* %{buildroot}%{_mandir}/man1

# remove static libs
rm -f %{buildroot}/usr/lib{,64}/*.a


%files
%license LICENSE_GPL.txt
%doc ChangeLog.txt README.txt
%{_bindir}/%{name}
%{_bindir}/tape
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/tape.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Apr 08 2014 Dan Horák <dan[at]danny.cz> - 0.2.2-1
- updated to 0.2.2

* Sat Jan 04 2014 Dan Horák <dan[at]danny.cz> - 0.2.1-1
- initial Fedora version
